# Class: MoneroOutputWallet

## MoneroOutputWallet(state)

Models a Monero output with wallet extensions.

## Constructor

#### new MoneroOutputWallet(state)

Construct the model.

##### Parameters:

Name | Type | Description
--- | --- | ---
`state` | MoneroOutputWallet | object | is existing state to initialize from (optional)

Source:
  - src/main/js/wallet/model/MoneroOutputWallet.js, line 11

### Extends

- MoneroOutput

### Methods

#### copy()

Overrides:
  - MoneroOutput#copy
Source:
  - src/main/js/wallet/model/MoneroOutputWallet.js, line 69

#### getAccountIndex()

Source:
  - src/main/js/wallet/model/MoneroOutputWallet.js, line 22

#### getAmount()

Overrides:
  - MoneroOutput#getAmount
Source:
  - src/main/js/daemon/model/MoneroOutput.js, line 51

#### getIndex()

Overrides:
  - MoneroOutput#getIndex
Source:
  - src/main/js/daemon/model/MoneroOutput.js, line 60

#### getKeyImage()

Overrides:
  - MoneroOutput#getKeyImage
Source:
  - src/main/js/daemon/model/MoneroOutput.js, line 41

#### getRingOutputIndices()

Overrides:
  - MoneroOutput#getRingOutputIndices
Source:
  - src/main/js/daemon/model/MoneroOutput.js, line 69

#### getStealthPublicKey()

Overrides:
  - MoneroOutput#getStealthPublicKey
Source:
  - src/main/js/daemon/model/MoneroOutput.js, line 78

#### getSubaddressIndex()

Source:
  - src/main/js/wallet/model/MoneroOutputWallet.js, line 31

#### getTx()

Overrides:
  - MoneroOutput#getTx
Source:
  - src/main/js/daemon/model/MoneroOutput.js, line 32

#### isFrozen()

Indicates if this output has been deemed 'malicious' and will therefore not be spent by the wallet.

Source:
  - src/main/js/wallet/model/MoneroOutputWallet.js, line 55

##### Returns:

Boolean is whether or not this output is frozen

#### isLocked()

Source:
  - src/main/js/wallet/model/MoneroOutputWallet.js, line 64

#### isSpent()

Source:
  - src/main/js/wallet/model/MoneroOutputWallet.js, line 40

#### merge(output)

Updates this output by merging the latest information from the given output. Merging can modify or build references to the output given so it should not be re-used or it should be copied before calling this method.

##### Parameters:

Name | Type | Description
--- | --- | ---
`output` |  | is the output to merge into this one

Overrides:
  - MoneroOutput#merge
Source:
  - src/main/js/wallet/model/MoneroOutputWallet.js, line 88

#### setAccountIndex()

Source:
  - src/main/js/wallet/model/MoneroOutputWallet.js, line 26

#### setAmount()

Overrides:
  - MoneroOutput#setAmount
Source:
  - src/main/js/daemon/model/MoneroOutput.js, line 55

#### setIndex()

Overrides:
  - MoneroOutput#setIndex
Source:
  - src/main/js/daemon/model/MoneroOutput.js, line 64

#### setIsFrozen()

Source:
  - src/main/js/wallet/model/MoneroOutputWallet.js, line 59

#### setIsSpent()

Source:
  - src/main/js/wallet/model/MoneroOutputWallet.js, line 44

#### setKeyImage()

Overrides:
  - MoneroOutput#setKeyImage
Source:
  - src/main/js/daemon/model/MoneroOutput.js, line 45

#### setRingOutputIndices()

Overrides:
  - MoneroOutput#setRingOutputIndices
Source:
  - src/main/js/daemon/model/MoneroOutput.js, line 73

#### setStealthPublicKey()

Overrides:
  - MoneroOutput#setStealthPublicKey
Source:
  - src/main/js/daemon/model/MoneroOutput.js, line 82

#### setSubaddressIndex()

Source:
  - src/main/js/wallet/model/MoneroOutputWallet.js, line 35

#### setTx()

Overrides:
  - MoneroOutput#setTx
Source:
  - src/main/js/daemon/model/MoneroOutput.js, line 36

#### toJson()

Overrides:
  - MoneroOutput#toJson
Source:
  - src/main/js/wallet/model/MoneroOutputWallet.js, line 73

#### toString()

Overrides:
  - MoneroOutput#toString
Source:
  - src/main/js/wallet/model/MoneroOutputWallet.js, line 99